<template>
  <div class="admin-verify">
    <el-tabs type="border-card" v-model="activeTab">
      <el-tab-pane label="最新申请" name="new">
        <newTab v-if="activeTab === 'new'"></newTab>
      </el-tab-pane>
      <el-tab-pane label="全部申请" name="all">
        <allTab v-if="activeTab === 'all'"></allTab>
      </el-tab-pane>
      <!-- <el-table :data="tableData" style="width: 100%">
        <el-table-column prop="name" label="姓名" width="180">
        </el-table-column>
        <el-table-column label="身份" width="180">
          <template slot-scope="scope">
            <span v-for="role in scope.row.roles" :key="role.id">
              {{ $t(role.name) }}
            </span>
          </template>
        </el-table-column>
        <el-table-column prop="identity" label="学号/工号"> </el-table-column>
        <el-table-column prop="createdAt" label="申请时间"> </el-table-column>
        <el-table-column label="操作">
          <template slot-scope="scope">
            <el-button
              type="danger"
              v-if="scope.row.isVerified === null"
              size="mini"
              @click="handlePass(scope.row)"
              >通过</el-button
            >
            <span v-else-if="scope.row.isVerified" style="color:#34394C;"
              >已通过</span
            >
            <span v-else style="color: #e72324;">
              已禁止
            </span>
          </template>
        </el-table-column>
      </el-table> -->
    </el-tabs>
  </div>
</template>

<script>
// import { accounts } from "@/api";
// import dayjs from "dayjs";
// import MessagesDialog from "@/mixins/messagesDialog";
import newTab from "./newTab";
import allTab from "./allTab";
export default {
  name: "adminVerify",
  data() {
    return {
      activeTab: "new"
      // tableData: [],
    };
  },
  // mixins: [MessagesDialog],
  components: {
    newTab,
    allTab
  }
  // async created() {
  //   await this.getApply();
  // },
  // methods: {
  //   async getApply() {
  //     const res = await accounts.list({
  //       filters: {
  //         include: ["roles"],
  //         order: [
  //           {
  //             key: "createdAt",
  //             sort: "desc"
  //           }
  //         ]
  //       }
  //     });
  //     this.tableData = res.items;
  //     this.tableData.map(data => {
  //       data.createdAt = dayjs(data.createdAt).format("YYYY-MM-DD HH:mm:ss");
  //     });
  //   },
  //   async handlePass(data) {
  //     data.isVerified = true;
  //     let { id, isVerified, username, phone } = data;
  //     try {
  //       await accounts.update({ id, isVerified, username, phone });
  //       await this.getApply();
  //       this.successDialog("审批成功！");
  //     } catch (err) {
  //       await this.getApply();
  //       this.errorDialog(err);
  //     }
  //   }
  // }
};
</script>

<style lang="scss" scope>
.admin-verify {
  .el-tabs__nav {
    width: 100% !important;
  }
  .el-tabs__item {
    width: 51%;
    height: 50px;
  }
  .el-tabs__header .el-tabs__item.is-active,
  .experiment-read .el-tabs__header .el-tabs__item.is-active:hover,
  .experiment-read .el-tabs__item:hover {
    color: #e72324 !important;
  }
}
</style>
